package com.miaozhen.device.response.ledserver;

/**
 * @Description :
 * Created by liyongbo on 2023-11-21 17:41.
 */
public class SPLPlaybackStatus{
    private String CPLId;
    private Integer CPL_Position;
    private Integer CplIndex;
    private String Decoder;
    private String Desc;
    private Integer Error;
    private Integer GdDelay;
    private Integer GdHigh;
    private Integer GdLow;
    private Integer GlobalDimming;
    private Integer Height;
    private String PlaybackType;
    private String Position;
    private String Resolution;
    private Integer SPL_Duration;
    private String SPL_PlaylistID;
    private Integer SPL_Position;
    private String Spl;
    private String State;
    private Integer SyncPlayback;
    private Integer VysncInCount;
    private Integer Width;

    public String getCPLId() {
        return CPLId;
    }

    public void setCPLId(String CPLId) {
        this.CPLId = CPLId;
    }

    public Integer getCPL_Position() {
        return CPL_Position;
    }

    public void setCPL_Position(Integer CPL_Position) {
        this.CPL_Position = CPL_Position;
    }

    public Integer getCplIndex() {
        return CplIndex;
    }

    public void setCplIndex(Integer cplIndex) {
        CplIndex = cplIndex;
    }

    public String getDecoder() {
        return Decoder;
    }

    public void setDecoder(String decoder) {
        Decoder = decoder;
    }

    public String getDesc() {
        return Desc;
    }

    public void setDesc(String desc) {
        Desc = desc;
    }

    public Integer getError() {
        return Error;
    }

    public void setError(Integer error) {
        Error = error;
    }

    public Integer getGdDelay() {
        return GdDelay;
    }

    public void setGdDelay(Integer gdDelay) {
        GdDelay = gdDelay;
    }

    public Integer getGdHigh() {
        return GdHigh;
    }

    public void setGdHigh(Integer gdHigh) {
        GdHigh = gdHigh;
    }

    public Integer getGdLow() {
        return GdLow;
    }

    public void setGdLow(Integer gdLow) {
        GdLow = gdLow;
    }

    public Integer getGlobalDimming() {
        return GlobalDimming;
    }

    public void setGlobalDimming(Integer globalDimming) {
        GlobalDimming = globalDimming;
    }

    public Integer getHeight() {
        return Height;
    }

    public void setHeight(Integer height) {
        Height = height;
    }

    public String getPlaybackType() {
        return PlaybackType;
    }

    public void setPlaybackType(String playbackType) {
        PlaybackType = playbackType;
    }

    public String getPosition() {
        return Position;
    }

    public void setPosition(String position) {
        Position = position;
    }

    public String getResolution() {
        return Resolution;
    }

    public void setResolution(String resolution) {
        Resolution = resolution;
    }

    public Integer getSPL_Duration() {
        return SPL_Duration;
    }

    public void setSPL_Duration(Integer SPL_Duration) {
        this.SPL_Duration = SPL_Duration;
    }

    public String getSPL_PlaylistID() {
        return SPL_PlaylistID;
    }

    public void setSPL_PlaylistID(String SPL_PlaylistID) {
        this.SPL_PlaylistID = SPL_PlaylistID;
    }

    public Integer getSPL_Position() {
        return SPL_Position;
    }

    public void setSPL_Position(Integer SPL_Position) {
        this.SPL_Position = SPL_Position;
    }

    public String getSpl() {
        return Spl;
    }

    public void setSpl(String spl) {
        Spl = spl;
    }

    public String getState() {
        return State;
    }

    public void setState(String state) {
        switch (state){
            case "Initiating" :
                State = 3 + "";
                break;
            case "" :
                State = 0 + "";
                break;
            case "Stopped" :
                State = 0 + "";
                break;
            case "Playing" :
                State = 1 + "";
                break;
            case "Paused" :
                State = 2 + "";
                break;
            case "Ready" :
                State = 3 + "";
                break;
            case "Waitingforloading" :
                State = 4 + "";
                break;
            case "ERROR" :
                State = -1 + "";
                break;
            case "DISCONNECTED" :
                State = -2 + "";
                break;
            default:State = -3 + "";
        }
    }

    public Integer getSyncPlayback() {
        return SyncPlayback;
    }

    public void setSyncPlayback(Integer syncPlayback) {
        SyncPlayback = syncPlayback;
    }

    public Integer getVysncInCount() {
        return VysncInCount;
    }

    public void setVysncInCount(Integer vysncInCount) {
        VysncInCount = vysncInCount;
    }

    public Integer getWidth() {
        return Width;
    }

    public void setWidth(Integer width) {
        Width = width;
    }
}
