package com.miaozhen.device.support.christienew;

import com.miaozhen.device.support.christienew.contentmanger.DeleteContentTMSNew;
import com.miaozhen.device.support.christienew.showmanagement.*;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.io.IOException;
import java.net.Socket;
import java.util.Date;



public class ShowManagementChrisNew {
	private String error = "<?xml version=\"1.0\" encoding=\"UTF-8\" ?>\n<response status=\"ERROR\" version=\"2\" >\n\t<error>ERROR</error>\n</response>";
	private final Logger logger = LoggerFactory.getLogger(getClass());
	private Socket socket = null;
	//	public ShowManagementChris(Socket socket){
//		this.socket = socket;
//	}
	
	//√
	public String getspllist(String ip) {
		String result = this.error;
		try {
//			if (socket == null || socket.isClosed()) {
//				socket = new Socket();
//			}
			if (socket != null && socket.isConnected()) {
			GetSplListTMSNew getSplList = new GetSplListTMSNew(socket, ip, 5001);
			getSplList.execute();
			result = getSplList.getResponse();
			}
		} catch (IOException e) {
			e.printStackTrace();
		} 
		return result;
	}

	//√
	public String getpartialspl(String ip, String UUID) {
		String result = this.error;
		try {
//			if (socket == null || socket.isClosed()) {
//				socket = new Socket();
//			}
			if (socket != null && socket.isConnected()) {
		    //Socket socketSPL = new Socket();
			GetPlaylistTMSNew getPlaylist = new GetPlaylistTMSNew(socket, ip, 5001, UUID);
			getPlaylist.execute();
			result = getPlaylist.getResponse();
			//socketSPL.close();
			}
		} catch (Exception e) {
			e.printStackTrace();
		} 
		
		return result;
	}

	//√
	public String validatespl(String ip, String UUID, Date playTime) {
		String result = this.error;
		try {
			//if (util.login(socket1,ip, 4502)) {
			if (socket != null && socket.isConnected()) {
				ValidateSplTMSNew cmd = new ValidateSplTMSNew(socket, UUID, playTime);
				result = cmd.getResponse();
				cmd = null;
			}
		} catch (Exception e) {
			logger.error("validatespl  {}Exception {}",e.getClass().getName(),e.getMessage());
			e.printStackTrace();
		} 
//		finally {
//			Util.closeSocket(socket);
//		}
		return result;
	}

	//√
	public String deletespl(String ip, String UUID) {
		String result = this.error;
		try {
			//if (util.login(socket1,ip, 4502)) {
			if (socket != null && socket.isConnected()) {
				DeleteContentTMSNew cmd = new DeleteContentTMSNew(socket, UUID.replaceAll(
						"urn:uuid:", "playlist_"));
				cmd.execute();
				result = cmd.getResponse();
				cmd = null;
			}
		} catch (IOException e) {
			e.printStackTrace();
		}
//		finally {
//			Util.closeSocket(socket);
//		}
		return result;
	}

	//√
	public String createspl(String ip, String spl) {
		String result = this.error;
		try {
			//if (util.login(socket1,ip, 4502)) {
			if (socket != null && socket.isConnected()) {
				SetPlaylistTMSNew cmd = new SetPlaylistTMSNew(socket, spl);
				cmd.execute();
				result = cmd.getResponse();
				cmd = null;
			}
		} catch (IOException e) {
			e.printStackTrace();
		} 
//		finally {
//			Util.closeSocket(socket);
//		}
		return result;
	}

	public Socket getSocket() {
		return socket;
	}

	public void setSocket(Socket socket) {
		this.socket = socket;
	}

//	public Socket getSocket1() {
//		return socket1;
//	}
//
//	public void setSocket1(Socket socket1) {
//		this.socket1 = socket1;
//	}

	//√
	public String getschedulelist(String ip) {
		String result = this.error;
		try {
			//if (util.login(socket1,ip, 4502)) {
			if (socket != null && socket.isConnected()) {
				GetScheduleTMSNew cmd = new GetScheduleTMSNew(socket);
				cmd.execute();
				result = cmd.getResponse();
				cmd = null;
			}
		} catch (IOException e) {
			e.printStackTrace();
		} 
//		finally {
//			Util.closeSocket(socket);
//		}
		return result;
	}

	//√
	public String getschedule(String ip, String UUID) {
		String result = this.error;
		try {
			//if (util.login(socket1,ip, 4502)) {
			if (socket != null && socket.isConnected()) {
				GetScheduleByIDTMSNew cmd = new GetScheduleByIDTMSNew(socket, UUID);
				cmd.execute();
				result = cmd.getResponse();
				cmd = null;
			}
		} catch (IOException e) {
			e.printStackTrace();
		} 
//		finally {
//			Util.closeSocket(socket);
//		}
		return result;
	}

	//√
	public String cancelschedule(String ip, String UUID) {
		String result = this.error;
		try {
			//if (util.login(socket1,ip, 4502)) {
			if (socket != null && socket.isConnected()) {
				DeleteScheduleItemTMSNew cmd = new DeleteScheduleItemTMSNew(socket, UUID);
				cmd.execute();
				result = cmd.getResponse();
				cmd = null;
			}
		} catch (IOException e) {
			e.printStackTrace();
		} 
//		finally {
//			Util.closeSocket(socket);
//		}
		return result;
	}

	//√
	public String getschedulerstatus(String ip) {
		String result = this.error;
		try {
			//if (util.login(socket1,ip, 4502)) {
			if (socket != null && socket.isConnected()) {
				GetSchedulerStatusTMSNew cmd = new GetSchedulerStatusTMSNew(socket);
				cmd.execute();
				result = cmd.getResponse();
				cmd = null;
			}
		} catch (IOException e) {
			e.printStackTrace();
		} 
//		finally {
//			Util.closeSocket(socket);
//		}
		return result;
	}

	//√
	public String enablescheduler(String ip) {
		String result = this.error;
		try {
			//if (util.login(socket1,ip, 4502)) {
			if (socket != null && socket.isConnected()) {
				EnableScheduleTMSNew cmd = new EnableScheduleTMSNew(socket, true);
				cmd.execute();
				result = cmd.getResponse();
				cmd = null;
			}
		} catch (IOException e) {
			e.printStackTrace();
		}
//		finally {
//			Util.closeSocket(socket);
//		}
		return result;
	}

	//√
	public String disablescheduler(String ip) {
		String result = this.error;
		try {
			//if (util.login(socket1,ip, 4502)) {
			if (socket != null && socket.isConnected()) {
				EnableScheduleTMSNew cmd = new EnableScheduleTMSNew(socket, false);
				cmd.execute();
				result = cmd.getResponse();
				cmd = null;
			}
		} catch (IOException e) {
			e.printStackTrace();
		} 
//		finally {
//			Util.closeSocket(socket);
//		}
		return result;
	}

	//√
	public String createschedule(String ip, String date_time, String spl_UUID, String scheduleTitle) {
		String result = this.error;
		try {
			//if (util.login(socket1,ip, 4502)) {
			if (socket != null && socket.isConnected()) {
				AddScheduleItemTMSNew cmd = new AddScheduleItemTMSNew(socket, date_time,
					spl_UUID, scheduleTitle);
				cmd.execute();
				result = cmd.getResponse();
				cmd = null;
			}
		} catch (IOException e) {
			e.printStackTrace();
		}
//		finally {
//			Util.closeSocket(socket);
//		}
		return result;
	}

	//√
	public String getcuelist(String ip) {
		String result = this.error;
		try {
			//if (util.login(socket1,ip, 4502)) {
			if (socket != null && socket.isConnected()) {
				GetAutomationConfigTMSNew cmd = new GetAutomationConfigTMSNew(socket);
				cmd.execute();
				result = cmd.getResponse();
				cmd = null;
			}
		} catch (IOException e) {
			e.printStackTrace();
		}
//		finally {
//			Util.closeSocket(socket);
//		}
		return result;
	}

}
