package com.miaozhen.device.support.christienew.contentmanger;

import com.christie.dcinema.xml.listcontent.CPL;
import com.christie.dcinema.xml.listcontent.Content;
import com.miaozhen.device.support.christienew.basecmd.ListContentTMSNew;

import java.io.IOException;
import java.net.Socket;

public class GetCplListTMSNew extends ListContentTMSNew {
	public GetCplListTMSNew(Socket socket, String host, int tcpPort) throws IOException {
		super(socket, host, tcpPort, 1);
	}

	public GetCplListTMSNew(Socket socket) throws IOException {
		super(socket, 1);
	}

	protected String getResult(Content content) {
		String xml = "<?xml version=\"1.0\" encoding=\"UTF-8\" ?>\n<response status=\"OK\" version=\"2\" >";

		for (CPL cpl : content.getCPL()) {
			String cplId = cpl.getId();
			xml = xml + "\n\t<cpl_uuid>" + cplId + "</cpl_uuid>";
		}
		xml = xml + "\n</response>";
		return xml;
	}
}
