package com.miaozhen.device.support.christienew.licensemanager;

import com.christie.dcinema.xml.listcontent.Content;
import com.christie.dcinema.xml.listcontent.KDM;
import com.miaozhen.device.support.christienew.basecmd.ListContentTMSNew;

import java.io.IOException;
import java.net.Socket;

public class GetKdmListTMSNew extends ListContentTMSNew {
	public GetKdmListTMSNew(Socket socket, String host, int tcpPort) throws IOException {
		super(socket, host, tcpPort, 2);
	}

	public GetKdmListTMSNew(Socket socket) throws IOException {
		super(socket, 2);
	}

	protected String getResult(Content content) {
		String xml = "<?xml version=\"1.0\" encoding=\"UTF-8\" ?>\n<response status=\"OK\" version=\"2\" >";

		for (KDM cpl : content.getKDM()) {
			String cplId = cpl.getId();
			xml = xml + "\n\t<asset_uuid>" + cplId + "</asset_uuid>";
		}
		xml = xml + "\n</response>";
		return xml;
	}
}