package com.miaozhen.device.support.christienew.showmanagement;

import com.christie.dcinema.xml.listcontent.Content;
import com.christie.dcinema.xml.listcontent.Playlist;
import com.miaozhen.device.support.christienew.basecmd.ListContentTMSNew;

import java.io.IOException;
import java.net.Socket;

public class GetSplListTMSNew extends ListContentTMSNew {
	public GetSplListTMSNew(Socket socket, String host, int tcpPort) throws IOException {
		super(socket, host, tcpPort, 3);
	}

	public GetSplListTMSNew(Socket socket) throws IOException {
		super(socket, 3);
	}

	protected String getResult(Content content) {
		String xml = "<?xml version=\"1.0\" encoding=\"UTF-8\" ?>\n<response status=\"OK\" version=\"2\" >";

		for (Playlist spl : content.getPlaylist()) {
			String splId = spl.getId().replaceAll("playlist_", "urn:uuid:");
			xml = xml + "\n\t<show_uuid>" + splId + "</show_uuid>";
		}
		xml = xml + "\n</response>";
		return xml;
	}
}