package com.miaozhen.device.support.christienew.transfermanagerment;

import com.miaozhen.device.support.christienew.basecmd.BaseChristieSeries2SocketCmdTMSNew;
import com.miaozhen.device.support.christienew.data.LElement;
import com.miaozhen.device.support.christienew.data.LMessageData;
import com.miaozhen.device.support.christienew.data.LXMLElement;

import java.io.IOException;
import java.net.Socket;

public class ListAvaliableContentTMSNew extends BaseChristieSeries2SocketCmdTMSNew {
	private static short objid=167;
	public ListAvaliableContentTMSNew(Socket socket, String host, int tcpPort)
			throws IOException {
		super(socket,host, tcpPort, objid);
	}

	protected byte[] createCmdData() {
		LMessageData messageData = new LMessageData();
		return messageData.getElementsData();
	}

	protected String getResult(byte[] data) {

		String result = "<?xml version=\"1.0\" encoding=\"UTF-8\" ?>\n<response status=\"OK\" version=\"2\" >\n\t<ingest_status>\n\t\t<status>ERROR</status>\n\t\t<percent>0</percent>\n\t\t<description>UUID NOT FOUND</description>\n\t</ingest_status>\n</response>";

		LMessageData messageData = new LMessageData(data);
		LElement el=messageData.getElementByKey(5);
		LXMLElement state = new LXMLElement(el);
		String xml = state.getValue();
		return xml;
	}

	protected String getErrorMsg(int errorCode) {
		String result = "ListAvaliableContentTMSNew command failed.";
		switch (errorCode) {
		case 1:
			result = "Cannot conntect";
			break;
		case 2:
			result = "CPL not found";
			break;
		case 3:
			result = "Unknown Error";
		}
		return result;
	}


}
