/**
 * XMLResponse.java
 * @author Kamil
 * Created at 2013年11月30日
 */
package com.miaozhen.device.response;

import com.pythagorastech.tms.device.dcserver.response.StringResponse;

/**
 * XML Response
 * 
 * @author Kamil
 * 
 */
public class XMLResponse extends StringResponse {

	/**
	 * @param string
	 * @throws Exception
	 */
	public XMLResponse(String string) throws Exception {
		super(string);
	}

	public String getXML() {
		return getResponse() == null?null:getResponse().replaceAll("&lt;", "<").replaceAll("&gt;", ">")
				.replaceAll("&quot;", "\"").replaceAll("&apos;", "'");
	}

}
