package com.miaozhen.device.support.christienew;

import com.miaozhen.device.support.christienew.contentmanger.DeleteContentTMSNew;
import com.miaozhen.device.support.christienew.contentmanger.GetCplListTMSNew;
import com.miaozhen.device.support.christienew.contentmanger.GetCplTMSNew;
import com.miaozhen.device.support.christienew.contentmanger.ValidateCplTMSNew;
import com.miaozhen.device.support.christienew.test.ParaTest;

import java.io.IOException;
import java.net.Socket;
import java.util.Date;


public class ContentManagementChrisNew {
	private String error = "<?xml version=\"1.0\" encoding=\"UTF-8\" ?>\n<response status=\"ERROR\" version=\"2\" >\n\t<error>ERROR</error>\n</response>";

	private GetCplListTMSNew getCplList = null;
	private Socket socket = null;

	

//	public ContentManagementChris(Socket socket) {
//		this.socket = socket;
//	}

	//√
	public String getcpllist(String ip) {
		String result = this.error;
		try {
			// if (socket == null || socket.isClosed()) {
			// socket = new Socket();
			// }
			if (socket != null && socket.isConnected()) {
				getCplList = new GetCplListTMSNew(socket, ip, 5001);
				getCplList.execute();
				result = getCplList.getResponse();
			}
		} catch (IOException e) {
			e.printStackTrace();
		}
		// finally {
		// Util.closeSocket(socket);
		// }
		return result;
	}

//	public Socket getSocket1() {
//		return socket1;
//	}
//
//	public void setSocket1(Socket socket1) {
//		this.socket1 = socket1;
//	}

	public void setSocket(Socket socket) {
		this.socket = socket;
	}

	public Socket getSocket() {
		return socket;
	}

	//√
	public String getcpl(String ip, String UUID) {
		String result = this.error;
		try {
			//if (util.login(socket1, ip, 4502)) {
			if (socket != null && socket.isConnected()) {
				GetCplTMSNew getCpl = new GetCplTMSNew(socket, UUID);
				getCpl.execute();
				result = getCpl.getResponse();
				getCpl = null;
			}
		} catch (IOException e) {
			e.printStackTrace();
		}
		// finally {
		// util.closeSocket();
		// }
		return result;
	}

	//√
	public String validatecpl(String ip, String UUID, Date playTime) {
		String result = this.error;
		try {
			//if (util.login(socket1, ip, 4502)) {
			if (socket != null && socket.isConnected()) {
				ValidateCplTMSNew cmd = new ValidateCplTMSNew(socket, UUID, playTime);
				cmd.execute();
				result = cmd.getResponse();
				cmd = null;
			}
		} catch (IOException e) {
			e.printStackTrace();
		}
		// finally {
		// Util.closeSocket(socket);
		// }
		return result;
	}

	//√
	public String deletecontent(String ip, String UUID) {
		String result = this.error;
		try {
			//if (util.login(socket1, ip, 4502)) {
			if (socket != null && socket.isConnected()) {
				DeleteContentTMSNew cmd = new DeleteContentTMSNew(socket, UUID);
				cmd.execute();
				result = cmd.getResponse();
				cmd = null;
			}
		} catch (IOException e) {
			e.printStackTrace();
		}
		// finally {
		// Util.closeSocket(socket);
		// }
		return result;
	}

	
	
	//test
		public String listRemoteIngestibles() {
			String result = this.error;
			short tem=(short)167;
			try {
				//if (util.login(socket1, ip, 4502)) {
				if (socket != null && socket.isConnected()) {
					ParaTest cmd = new ParaTest(socket,tem,"");
					cmd.execute();
					result = cmd.getResponse();
					cmd = null;
				}
			} catch (IOException e) {
				e.printStackTrace();
			}
			// finally {
			// Util.closeSocket(socket);
			// }
			return result;
		}
}