package com.miaozhen.device.support.christienew;

import com.miaozhen.device.support.christienew.transfermanagerment.*;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.io.IOException;
import java.net.Socket;



public class TransferManagementChrisNew {
	private String error = "<?xml version=\"1.0\" encoding=\"UTF-8\" ?>\n<response status=\"ERROR\" version=\"2\" >\n\t<error>ERROR</error>\n</response>";

	private Socket socket = new Socket();
	private final Logger logger = LoggerFactory.getLogger(getClass());
	private GetIngestStatusTMSNew cmd = null;

//	 public TransferManagementChris(Socket socket){
//	 this.socket = socket;
//	 }

	public String ScanRemoteIngestibles(String ip, String host, String user,
			String password) {
		String result = this.error;
		try {
			//if (util.login(socket, ip, 4502)) {
			if (socket != null && socket.isConnected()) {
				ScanRemoteIngestiblesTMSNew cmd = new ScanRemoteIngestiblesTMSNew(socket, ip,5001,host,
						user, password);
				cmd.execute();
				result = cmd.getResponse();
				cmd = null;
			}
		} catch (IOException e) {
			e.printStackTrace();
		}
		// finally {
		// Util.closeSocket(socket);
		// }
		return result;
	}
	
	
	public String listAvaliableContent(String ip) {
		String result = this.error;
		try {
			//if (util.login(socket, ip, 4502)) {
			if (socket != null && socket.isConnected()) {
				ListAvaliableContentTMSNew cmd = new ListAvaliableContentTMSNew(socket, ip,5001);
				cmd.execute();
				result = cmd.getResponse();
				cmd = null;
			}
		} catch (IOException e) {
			e.printStackTrace();
		}
		// finally {
		// Util.closeSocket(socket);
		// }
		return result;
	}
	
	
	//√
	public String ingestpackage(String ip, String host, String user,
			String password, String cpl_UUID, String cpl_path) {
		String result = this.error;
		try {
			//if (util.login(socket, ip, 4502)) {
			if (socket != null && socket.isConnected()) {
				IngestRemoteContentTMSNew cmd = new IngestRemoteContentTMSNew(socket, ip,5001,host,
						user, password, cpl_UUID, cpl_path);
				cmd.execute();
				result = cmd.getResponse();
				cmd = null;
			}
		} catch (IOException e) {
			e.printStackTrace();
		}
		// finally {
		// Util.closeSocket(socket);
		// }
		return result;
	}

	public Socket getSocket() {
		return socket;
	}

	//√
	public String ingestkdm(String ip, String kdm) {
		String result = this.error;
		try {
			//if (util.login(socket, ip, 4502)) {
			if (socket != null && socket.isConnected()) {
				IngestKDMTMSNew cmd = new IngestKDMTMSNew(socket, kdm);
				cmd.execute();
				result = cmd.getResponse();
				cmd = null;
			}
		} catch (IOException e) {
			logger.error("ingestkdm IOException {} class {} ", e.getMessage(),
					e.getClass().getName());
			e.printStackTrace();
		}
		// finally {
		// Util.closeSocket(socket);
		// }
		return result;
	}

	//√
	public String cancelingest(String ip, String UUID) {
		String result = this.error;
		try {
			//if (util.login(socket, ip, 4502)) {
			if (socket != null && socket.isConnected()) {
				CancelIngestTMSNew cmd = new CancelIngestTMSNew(socket, UUID);
				cmd.execute();
				result = cmd.getResponse();
				cmd = null;
			}
		} catch (IOException e) {
			e.printStackTrace();
		}
		// finally {
		// Util.closeSocket(socket);
		// }
		return result;
	}

	public void setSocket(Socket socket) {
		this.socket = socket;
	}

//	public Socket getSocket1() {
//		return socket1;
//	}
//
//	public void setSocket1(Socket socket1) {
//		this.socket1 = socket1;
//	}

	//√
	public String getingeststatus(String ip, String UUID) {
		String result = this.error;
		try {
			//if (utilStatus.login(socket1, ip, 4502)) {
			if (socket != null && socket.isConnected()) {
				cmd = new GetIngestStatusTMSNew(socket, UUID);
				cmd.execute();
				result = cmd.getResponse();
			} 
//			else {
//				socket1 = new Socket();
//				if (utilStatus.login(socket1, ip, 4502)) {
//					cmd = new GetIngestStatusTMS(socket1,
//							UUID);
//					cmd.execute();
//					result = cmd.getResponse();
//				}
//			}
		} catch (IOException e) {
			e.printStackTrace();
		}
		// finally {
		// Util.closeSocket(socket);
		// }
		return result;
	}

}