package com.miaozhen.device.support.christienew.showmanagement;


import com.miaozhen.device.support.christienew.basecmd.BaseChristieSeries2SocketCmdTMSNew;
import com.miaozhen.device.support.christienew.data.LBooleanElement;
import com.miaozhen.device.support.christienew.data.LMessageData;

import java.io.IOException;
import java.net.Socket;


public class EnableScheduleTMSNew extends BaseChristieSeries2SocketCmdTMSNew {

	private boolean enabled;

	//143
	public EnableScheduleTMSNew(Socket socket, String host, int tcpPort, boolean enabled)
			throws IOException {
		super(socket, host, tcpPort, (short)208);
		this.enabled = enabled;
	}

	public EnableScheduleTMSNew(Socket socket, boolean enabled) throws IOException {
		super(socket, (short)208);
		this.enabled = enabled;
	}

	protected byte[] createCmdData() {
		LMessageData messageData = new LMessageData();
		messageData.addElement(new LBooleanElement(0, Boolean
				.valueOf(this.enabled)));
		return messageData.getElementsData();
	}

	protected String getResult(byte[] data) {
		return "<?xml version=\"1.0\" encoding=\"UTF-8\" ?>\n<response status=\"OK\" version=\"2\" >\n</response>";
	}

	protected String getErrorMsg(int errorCode) {
		return "Unable to start scheduler";
	}

}
